package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.security.dto.GetUserHospitalsDTO;
import com.lantone.security.dto.RoleDTO;
import com.lantone.security.dto.SoftwareDTO;
import com.lantone.security.entity.Hospital;
import com.lantone.security.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：sys_user Mapper接口
 * </p>
 */
public interface UserMapper extends BaseMapper<User> {
    List<User> getalle();

    List<Hospital> getUserOrganizeByUserID(Long userID);

    List<RoleDTO> getUserRoleByUserID(@Param("userID") Long userID, @Param("organizeId") Long organizeId);

    List<SoftwareDTO> getUserSoftwareByUId(@Param("userID") Long userID);

    List<GetUserHospitalsDTO> getUserSoftwareHospitals(@Param("userID")Long currentPrincipleId, @Param("softwareID")Long id);

    Long getUserByHospitalId(@Param("hospitalId") Long hospitalId);
}